Page MenuHomePhabricator

If revisions are revdel'd, articleinfo compares the surrounding edits as if it were one edit
Closed, ResolvedPublic3 Estimated Story Points

Description

See: https://tools.wmflabs.org/xtools-articleinfo/?article=Alpha-tubulin_N-acetyltransferase&project=en.wikipedia.org&uselang=en

Here Diannaa is listed as having the "Max. text added", that's because she revdel'd a series of edits, and xtools compared the last visible diff with the first live diff after it, which is this. She in fact did not add any content, see the revision history. If there's some way to tell that revisions have been revdel'd, we should not take into account the surrounding diffs. I'm guessing the revdel'd edits are not in the revision table, even though it's only the content (and not the author, edit summary, etc) that's been scrubbed from view.

Event Timeline

Restricted Application added subscribers: Matthewrbowker, Aklapper. · View Herald TranscriptOct 21 2016, 5:27 PM
Matthewrbowker moved this task from Inbox to Other on the XTools board.Nov 24 2016, 12:03 AM
kaldari set the point value for this task to 3.May 2 2017, 11:43 PM
DannyH triaged this task as Medium priority.May 2 2017, 11:44 PM
DannyH moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
MusikAnimal edited projects, added Community-Tech-Sprint; removed Community-Tech.
MusikAnimal moved this task from Ready to In Development on the Community-Tech-Sprint board.

Done with https://github.com/x-tools/xtools-rebirth/commit/ae26583752ecd450107eaa73cc45421039e3fd36

The real issue is that rev_len is not being replicated, even though the diff sizes of revdel'd edits are visible in production. See T101631 for more.

As a workaround, all we're doing here is checking if the previous revision has a rev_len of null, and if so, treat target revision as having a diff size of 0. This means if User:Foo made two edits but only the first one was revdel'd, the second still has a diff size of 0 even though it actually made a change. Until T101631 is resolved I don't see a way around this.

Deployed to xtools-dev https://tools.wmflabs.org/xtools-dev/articleinfo/en.wikipedia.org/Alpha-tubulin_N-acetyltransferase

Diannaa is not longer listed as having the "Max. text added"

Matthewrbowker moved this task from Inbox to Working on the XTools board.May 9 2017, 4:53 PM
kaldari closed this task as Resolved.May 24 2017, 11:10 PM
kaldari added a subscriber: kaldari.

Code looks reasonable. Haven't been able to test since XTool-dev has been down all day :(

Thanks! I think I've fixed xtools-dev, should work now.

DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 6 2017, 9:27 PM
MusikAnimal moved this task from Working to Complete on the XTools board.Jul 23 2017, 7:34 PM